%define module_name JSON-SIMD
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(CBOR/XS.pm) perl(Compress/LZF.pm) perl(Convert/Bencode.pm) perl(Data/Dump.pm) perl(Encode.pm) perl(ExtUtils/CppGuess.pm) perl(ExtUtils/MakeMaker.pm) perl(Types/Serialiser.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.06
Release: alt2
Summary: JSON serialising/deserialising, done correctly and faster
Group: Development/Perl
License: see COPYING
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PJ/PJUHASZ/%{module_name}-%{version}.tar.gz

%description
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be *correct* and its secondary goal is to be
*fast*. To reach the latter goal it was written in C. For extra speed,
it uses simdjson, the fastest C++ JSON parser currently available,
for decoding.

This module is a fork of JSON::XS and works as a drop-in replacement in
most cases. See the SIMDJSON section below for more information.

See MAPPING, below, on how JSON::SIMD maps perl values to JSON values and
vice versa.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README COPYING Changes.old
%perl_vendor_archlib/J*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.06-alt2
- rebuild with perl 5.38

* Sat Apr 29 2023 Igor Vlasenko <viy@altlinux.org> 1.06-alt1
- updated by package builder

* Tue Apr 25 2023 Igor Vlasenko <viy@altlinux.org> 1.05-alt1
- updated by package builder

* Wed Apr 19 2023 Igor Vlasenko <viy@altlinux.org> 1.03-alt1
- initial import by package builder

